Bug 1268700 - F23 - probing storage
F23 - probing storage
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 17:09 EDT by Flóki Pálsson
Modified: 2017-08-08 08:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:17:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fdisk -l (2.38 KB, text/plain)
2015-10-04 17:09 EDT, Flóki Pálsson
no flags Details
zip of /tmp (184 bytes, application/zip)
2015-10-05 15:18 EDT, Flóki Pálsson
no flags Details
# zip -r tmp.zip /tmp (184 bytes, application/zip)
2015-10-16 16:33 EDT, Flóki Pálsson
no flags Details
zip -r zip_tmp2.zip /tmp (86.03 KB, application/zip)
2015-10-26 16:34 EDT, Flóki Pálsson
no flags Details
from terminal after zip (1.51 KB, text/plain)
2015-10-26 16:35 EDT, Flóki Pálsson
no flags Details

  None (edit)
Description Flóki Pálsson 2015-10-04 17:09:42 EDT
Created attachment 1079788 [details]
fdisk -l

Description of problem:
It takes 5 minuts to probe storage in Fedora-Live-Workstation-x86_64-23_Beta-1.iso. 

Version-Release number of selected component (if applicable):
Fedora-Live-Workstation-x86_64-23_Beta-1.iso

How reproducible:
always

Steps to Reproduce:
1. run fomm usb
2. select language 
3.

Actual results:
Wait 5 minutes after result of probing storage

Expected results:


Additional info:
It is similar problem with hardware clock.


With Disks & storage it quik.
Comment 1 Flóki Pálsson 2015-10-04 18:54:02 EDT
This is also in 
F22 and F21 but ok in 
F20  Fedora-20-x86_64-DVD.iso
Comment 2 David Shea 2015-10-05 08:50:14 EDT
Please attach the log files from /tmp to this bug
Comment 3 Flóki Pálsson 2015-10-05 15:18 EDT
Created attachment 1080026 [details]
zip of /tmp

This is zip of what I could get.
Comment 4 David Shea 2015-10-06 15:41:06 EDT
(In reply to Flóki Pálsson from comment #3)
> Created attachment 1080026 [details]
> zip of /tmp
> 
> This is zip of what I could get.

That's an empty zip file.
Comment 5 Flóki Pálsson 2015-10-16 16:33 EDT
Created attachment 1083807 [details]
# zip -r tmp.zip /tmp
Comment 6 David Shea 2015-10-16 17:05:14 EDT
(In reply to Flóki Pálsson from comment #5)
> Created attachment 1083807 [details]
> # zip -r tmp.zip /tmp

Did you run that from within the installer environment? You attached another empty zip file. Please attach the logs from /tmp at the time of the error you describe.
Comment 7 Flóki Pálsson 2015-10-16 17:39:26 EDT
After instalation then su - in terminal.
then # zip -r tmp.zip /tmp
then chmod 666 tmp.zip
which was in athachment.
There was warnig with zip camman that some file where unredable.
Comment 8 Flóki Pálsson 2015-10-17 07:05:20 EDT
If only /dev/sda is connected then it is quick to probe  storage.
IF dev/sdb or dev/sdc is connected then it takes long  time to probe  storage.

# fdisk -l
Disk /dev/sda: 223,6 GiB, 240057409536 bytes, 468862128 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disklabel type: dos
Disk identifier: 0xcfe82ca6

Device     Boot Start       End   Sectors   Size Id Type
/dev/sda1  *     2048 468858879 468856832 223,6G  7 HPFS/NTFS/exFAT


Disk /dev/sdb: 465,8 GiB, 500107862016 bytes, 976773168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x000b5aa3

Device     Boot     Start       End   Sectors   Size Id Type
/dev/sdb1  *           63 481949999 481949937 229,8G  7 HPFS/NTFS/exFAT
/dev/sdb2       481950000 976751999 494802000   236G  f W95 Ext'd (LBA)
/dev/sdb5       481953792 956964863 475011072 226,5G 83 Linux


Disk /dev/sdc: 465,8 GiB, 500107862016 bytes, 976773168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x000bc804

Device     Boot     Start       End   Sectors   Size Id Type
/dev/sdc1            2048   4102143   4100096     2G 82 Linux swap / Solaris
/dev/sdc2         6426000 144584999 138159000  65,9G 83 Linux
/dev/sdc3       144586752 145610751   1024000   500M 83 Linux
/dev/sdc4       145614846 976771071 831156226 396,3G  5 Extended
/dev/sdc5       145614848 248014847 102400000  48,8G 83 Linux
/dev/sdc6       248016896 305432575  57415680  27,4G 83 Linux
/dev/sdc7       305434624 363311577  57876954  27,6G 83 Linux
/dev/sdc8       363313152 401858559  38545408  18,4G 83 Linux
/dev/sdc9       486416384 519321599  32905216  15,7G 83 Linux
/dev/sdc10      519323648 537227263  17903616   8,6G 83 Linux
/dev/sdc11      537229312 548018175  10788864   5,1G 83 Linux
/dev/sdc12      401860608 438007807  36147200  17,2G 83 Linux
/dev/sdc13      438009856 486414335  48404480  23,1G 83 Linux
/dev/sdc14      548020224 617345023  69324800  33,1G 83 Linux
/dev/sdc15      617347072 665093165  47746094  22,8G 83 Linux
/dev/sdc16      665094144 722442239  57348096  27,4G 83 Linux
/dev/sdc17      722444288 785518591  63074304  30,1G 83 Linux
/dev/sdc18 *    785520640 866994175  81473536  38,9G 83 Linux

Partition table entries are not in disk order.


[root@F23tca ~]#
Comment 9 David Shea 2015-10-19 09:50:16 EDT
I meant /tmp before rebooting the installer. In the installed system, the log files are available in /var/log/anaconda.
Comment 10 Flóki Pálsson 2015-10-19 17:19:32 EDT
do you mean before running install to hard disk.
Comment 11 David Shea 2015-10-20 09:43:25 EDT
Yes. Whenever the delay occurs.
Comment 12 Flóki Pálsson 2015-10-26 16:34 EDT
Created attachment 1086583 [details]
zip -r zip_tmp2.zip /tmp


zip -r zip_tmp2.zip /tmp
4  pwd
    5  chmod 666 zip_tmp2.zip
    6  cp zip_tmp2.zip
    7  cp zip_tmp2.zip /run/media/liveuser/ymisl/geyma


This is after probing storage and before instalation.
Comment 13 Flóki Pálsson 2015-10-26 16:35 EDT
Created attachment 1086584 [details]
from terminal after zip

from terminal after zip
Comment 14 Jan Kurik 2016-02-24 08:48:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Bernd Schmidt 2016-02-24 10:18:54 EST
I'm having the same issue. On my system, the cause is clear: it's running e2fsck on every existing Linux partition. Sequentially. Even though they were cleanly unmounted, and e2fsck could be parallelized across multiple devices.

$ tail -f /tmp/program.log 
16:16:24,255 INFO program: stderr:
16:16:24,256 INFO program: b'dumpe2fs 1.42.13 (17-May-2015)'
16:16:24,256 DEBUG program: Return code: 0
16:16:24,256 INFO program: Running... resize2fs -P /dev/sdb6
16:16:24,268 INFO program: stdout:
16:16:24,268 INFO program: Estimated minimum size of the filesystem: 217761914
16:16:24,268 INFO program: stderr:
16:16:24,268 INFO program: b'resize2fs 1.42.13 (17-May-2015)'
16:16:24,269 DEBUG program: Return code: 0
16:16:24,305 INFO program: Running... e2fsck -f -p -C 0 /dev/sdb7
Comment 16 Fedora End Of Life 2017-07-25 15:20:18 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:17:11 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.